Summary:	Java/JNI glue code generator to call out to ANSI C
Name:		gluegen
Version:	1.0b06
Release:	%mkrel 0.0.14
Group:		Development/Java
License:	BSD and APSL 2.0
URL:		https://gluegen.dev.java.net/
# vs -d :pserver:username@cvs.dev.java.net:/cvs checkout gluegen
Source0:	%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-fix-gluegen-properties.patch 
Patch1:         %{name}-%{version}-fix-antlr-classpath.patch 
Patch2:         gluegen-1.0b06-no-solaris.patch
Patch3:         gluegen-1.0b06-debug-on.patch
BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	ant-antlr
BuildRequires:	antlr
BuildRequires:	jpackage-utils
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
BuildRequires:	cpptasks
Requires:	antlr
Requires:	java >= 1.5
Requires:	jpackage-utils

%description 
GlueGen is a tool which automatically generates the Java and JNI code 
necessary to call C libraries. It reads as input ANSI C header files 
and separate configuration files which provide control over many aspects 
of the glue code generation. GlueGen uses a complete ANSI C parser and 
an internal representation (IR) capable of representing all C types to 
represent the APIs for which it generates interfaces. It has the ability 
to perform significant transformations on the IR before glue code emission.

GlueGen is currently powerful enough to bind even low-level APIs such as 
the Java Native Interface (JNI) and the AWT Native Interface (JAWT) 
back up to the Java programming language.

%package source
Summary:        GlueGen source code required to build JOGL
Group:		Development/Java
BuildArch:      noarch

%description source
GlueGen source code required to build JOGL

%package manual
Summary:	User documetation for %{name}
Group:		Development/Java
BuildArch:      noarch

%description manual
Usermanual for %{name}.


%prep
%setup -q
%patch0 -p0 -b .fix-gluegen-properties.patch
%patch1 -p0 -b .antlr-classpath.patch
%patch2 -p1 -b .no-solaris.patch
%patch3 -p1 -b .debug-on.patch

find -name ".svn" -type f -exec rm {} \;
find -name "*.jar" -type f -exec rm {} \;
rm make/stub_includes/unix/dynamic-linker.h
rm -rf ../%{name}-source
cp -rdf ../%{name}-%{version} ../%{name}-source
rm -rf ../%{name}-source/{doc,www,LICENSE.txt,gluegen}

%build
export CLASSPATH=$(build-classpath antlr ant/ant-antlr cpptasks)

pushd make
%ant -Dantlr.jar=$(build-classpath antlr) all
popd

%install
# jars
%__install -dm 755 %{buildroot}%{_javadir}
%__install -m 644 build/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
%__install -m 644 build/%{name}-rt.jar \
	%{buildroot}%{_javadir}/%{name}-rt-%{version}.jar
pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# native lib
%__install -dm 755 %{buildroot}%{_libdir}
%__install -m 644 build/obj/lib*.so \
	%{buildroot}%{_libdir}

# sources
mkdir -p %{buildroot}%{_datadir}/%{name}-source
cp -rdf ../%{name}-source/{make,src} %{buildroot}%{_datadir}/%{name}-source
#cp -pr build/artifact.properties %{buildroot}%{_datadir}/%{name}-source
find %{buildroot}%{_datadir}/%{name}-source/ -type f -exec chmod a-x {} \;

# javadoc
#%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
#%__cp -pr javadoc_jogl_dev/* \
#	%{buildroot}%{_javadocdir}/%{name}-%{version}
#ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} # ghost symlink

#%post javadoc
#%__rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}

# ensure .so files are executable (0755) for proper -debuginfo extraction
chmod 0755 %{buildroot}%{_libdir}/lib*.so

%files
%doc LICENSE.txt
%{_javadir}/*.jar
%attr(755,root,root) %{_libdir}/lib*.so

%files source
%{_datadir}/%{name}-source/*

%files manual
%doc doc/*


%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0b06-0.0.14.mga6
+ Revision: 982634
- Second rebuild of the java stack

* Fri Feb 26 2016 daviddavid <daviddavid> 1.0b06-0.0.13.mga6
+ Revision: 979628
- fix really empty debugfiles (permissions of libraries must be 0755 instead of 0644)
  * ensure .so files are executable (0755) for proper -debuginfo extraction
- add BR on java-devel to fix build

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + tv <tv>
    - fix "Macro expanded in comment"

* Wed Sep 09 2015 neoclust <neoclust> 1.0b06-0.0.12.mga6
+ Revision: 874993
- Fix build with new rpm ( empty debuginfo)

* Fri Oct 31 2014 pterjan <pterjan> 1.0b06-0.0.11.mga5
+ Revision: 794878
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0b06-0.0.10.mga5
+ Revision: 746227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0b06-0.0.9.mga5
+ Revision: 679664
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0b06-0.0.8.mga4
+ Revision: 508329
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Fix install

  + gil <gil>
    - increased release
    - added new sub package: source

* Wed Apr 06 2011 grenoya <grenoya> 1.0b06-0.0.5.mga1
+ Revision: 81530
- add patch from Fedora to fix gluegen.properties
- add patch from Fedora to fix antlr classpath
- add patch from Fedora to fix gluegen.properties
- add patch from Fedora to fix antlr classpath
- imported package gluegen


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0b06-0.0.5mdv2011.0
+ Revision: 610865
- rebuild

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0b06-0.0.4mdv2010.1
+ Revision: 540947
- rebuild

* Sun Sep 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0b06-0.0.3mdv2010.0
+ Revision: 449798
- rebuild for new era

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Nov 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0b06-0.0.1mdv2009.1
+ Revision: 301390
- add buildrequires on cpptasks
- add source and spec files
- Created package structure for gluegen.

